#**********************************************************************#
#*                                                                    *#
#* Copyright (c) 2001 by Sun Microsystems, Inc.                       *#
#* All rights reserved.                                               *#
#*                                                                    *#
#**********************************************************************#


PCCINC=$ORACLE_HOME/procob/lib; export PCCINC
rm -f ish/* ishp/*

PCC=procob
# Does an Oracle 32 bit library exist?
# If yes, we are running in 32 bit mode, use the 32 bit precompiler. 
# Otherwise, use the default: procob
if test -d ${ORACLE_HOME}/lib32;
then
   if test -f ${ORACLE_HOME}/bin/procob32;
   then
      PCC=procob32
   else
      PCC=procob
   fi
fi
echo "Note: Using $PCC for Oracle precompiles"
echo " "
sleep 3

$PCC iname=ACCTBTCH.bth oname=ACCTBTCH.cbl include=`pwd` \
include=${PCCINC} ireclen=132 maxliteral=161 \
mode=ANSI hold_cursor=no release_cursor=yes maxopencursors=50 \
dbms=v7

$PUBLIC/bin/cblmake.sh ACCTBTCH

SYSTEM_OUTPUT=JCL; export SYSTEM_OUTPUT
sh UpdateFile_Map
dostrans jobtest1 -f
mvstrans jload -f
mvstrans junload -f
mvstrans jobtest -f
